package domain


type AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse struct {
    /*
        返回的业务单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        子单列表     */
    OrderSubInfoList  *[]AlibabaWdkTradeOrderSuccessCreateOrderSubInfoBO `json:"order_sub_info_list,omitempty" `

}

func (s *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse) SetBizOrderId(v string) *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse) SetOutOrderId(v string) *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse) SetOrderSubInfoList(v []AlibabaWdkTradeOrderSuccessCreateOrderSubInfoBO) *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse {
    s.OrderSubInfoList = &v
    return s
}
